Bug 1121044 - [abrt] gnome-search-tool: gtk_tree_model_filter_row_deleted(): gnome-search-tool killed by SIGSEGV
Summary: [abrt] gnome-search-tool: gtk_tree_model_filter_row_deleted(): gnome-search-t...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-search-tool
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:593944fc2b92dce8281dce4b646...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 08:59 UTC by Christian Stadelmann
Modified: 2015-06-29 21:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:38:01 UTC


Attachments (Terms of Use)
File: backtrace (55.22 KB, text/plain)
2014-07-18 08:59 UTC, Christian Stadelmann
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-18 08:59 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (13.97 KB, text/plain)
2014-07-18 08:59 UTC, Christian Stadelmann
no flags Details
File: dso_list (9.01 KB, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: environ (3.28 KB, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: maps (43.95 KB, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: open_fds (1.27 KB, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details
File: var_log_messages (200 bytes, text/plain)
2014-07-18 09:00 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2014-07-18 08:59:53 UTC
Description of problem:


Version-Release number of selected component:
gnome-search-tool-3.6.0-3.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-search-tool
crash_function: gtk_tree_model_filter_row_deleted
executable:     /usr/bin/gnome-search-tool
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2583
 #5 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #6 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #7 remove_file at gtkfilesystemmodel.c:1912
 #8 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #9 ffi_call_unix64 at /lib64/libffi.so.6
 #10 ffi_call at /lib64/libffi.so.6
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 emit_cb at gfilemonitor.c:392

Comment 1 Christian Stadelmann 2014-07-18 08:59:56 UTC
Created attachment 918989 [details]
File: backtrace

Comment 2 Christian Stadelmann 2014-07-18 08:59:57 UTC
Created attachment 918990 [details]
File: cgroup

Comment 3 Christian Stadelmann 2014-07-18 08:59:58 UTC
Created attachment 918991 [details]
File: core_backtrace

Comment 4 Christian Stadelmann 2014-07-18 09:00:00 UTC
Created attachment 918992 [details]
File: dso_list

Comment 5 Christian Stadelmann 2014-07-18 09:00:01 UTC
Created attachment 918993 [details]
File: environ

Comment 6 Christian Stadelmann 2014-07-18 09:00:02 UTC
Created attachment 918994 [details]
File: exploitable

Comment 7 Christian Stadelmann 2014-07-18 09:00:03 UTC
Created attachment 918995 [details]
File: limits

Comment 8 Christian Stadelmann 2014-07-18 09:00:05 UTC
Created attachment 918996 [details]
File: maps

Comment 9 Christian Stadelmann 2014-07-18 09:00:06 UTC
Created attachment 918997 [details]
File: open_fds

Comment 10 Christian Stadelmann 2014-07-18 09:00:07 UTC
Created attachment 918998 [details]
File: proc_pid_status

Comment 11 Christian Stadelmann 2014-07-18 09:00:08 UTC
Created attachment 918999 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:24:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:38:01 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.